"use strict";
this.name			= "cargoWreckFuel";
this.author			= "Arexack Heretic (oxp) & Eric Walch (js script)";
this.copyright		= "Share alike";
this.description	= "fuel pod";
this.version		= "1.7";

this.shipDied = function ()
{
    delete this.shipDied;
    this.ship.AIState = "EXPLODE"; // make sure the ship explodes with doing damage, even when collided or shot at.
}


this.shipWasScooped = function (scooper)
{
     var hasFuel = this.ship.scriptInfo.awardFuel;
     if (hasFuel === "NO") hasFuel = false; // test needed in case the code is in open-step plist. "NO" is interpreted as true by js.
     
     if (scooper.isPlayer)
	 {
		if (hasFuel)
		{
			if(player.ship.fuel <= 6)
			{
				player.ship.fuel += 1;
				player.consoleMessage("1.0 LY Fuel Transfered!");
			}
			else
			{
				var fuel = Math.round(70 - player.ship.fuel*10)/10;
				player.consoleMessage(fuel+" LY Fuel Transfered!");
				player.ship.fuel += fuel;
			}
		}
		else
		{
			player.ship.fuel += 1;
			player.consoleMessage("FuelPod Failure!");
			player.ship.fuelLeakRate = 2.5;
		}
	 }
	 else  // NPC ship scooped pod
	 {
		if (hasFuel)
		{
			scooper.fuel += 1;
		}
		else
		{
			// scooper becomes a q-bomb when scooping up a bad fuelpod.
			scooper.commsMessage(expandDescription("[ah_last-words]"));
			scooper.switchAI("explosiveCWreckAI.plist");
			scooper.AIState = "DETONATE";
		}
	}
}
