"use strict";
this.name			= "cargoWreckMissile";
this.author			= "Arexack Heretic (oxp) & Eric Walch (js script)";
this.copyright		= "Share alike";
this.description	= "firearms pod";
this.version		= "1.7";


this.shipWasScooped = function (scooper)
{
    if (scooper.missiles.length < scooper.missileCapacity)
    {
        var missile = Math.random()>0.1 ? "EQ_MISSILE" : "EQ_HARDENED_MISSILE";
        scooper.awardEquipment(missile);
        this.ship.displayName = "A free missile";
    }
    else
    {
        // no check for free storage as scooping success already means there was 1 ton of free cargo space.
        this.ship.setCargo("firearms");
    }
     delete this.shipWasScooped; // we don't want to run this script again when it is scooped a second time.
}

this.shipDied = function ()
{
	delete this.shipDied; // prefent recursion.
    this.ship.switchAI("missileAI.plist");
	this.ship.AIState = "DETONATE";
}