/*

cargoWreckTeaser
Copyright © 2006-2009 Arexack Heretic and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

For a copy of the GNU General Public License write to the Free
Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

*/


"use strict";
this.name			= "Cargo_Wreck_Teaser";
this.author			= "Arexack Heretic (oxp) & Eric Walch (js script)";
this.copyright		= "Share alike";
this.description	= "WorldScript for cargo_wreck_teaser";
this.version		= "1.7.1";

this.shipExitedWitchspace = function ()
{
    if(!system.isInterstellarSpace && system.government < 4 && Math.random() < 0.15 && system.countShipsWithPrimaryRole("rockhermit") > 1)
    {
        this.addPirateStash();
    }
}

this.addPirateStash = function ()
{
    /*
    Just transform a plain asteroid into a stash. This avoids the problem of the treasuroid
    being completely different than other asteroids when asteroid replacing oxps are used.
    */
    var stash = system.addGroupToRoute("asteroid", 9).ships[0];
    stash.displayName = "Treasuroid";
    stash.setScript("cargoWreckTreasuroid.js");
}